/**
 * @file diffImages.ts
 */
export interface Options {
    /**
     * Diff threshold (0 to 1); smaller is more sensitive. Default 0.1.
     */
    threshold?: number;
    /**
     * The diff result image path between component screenshot and design draft.
     */
    diffResultPath?: string;
}
/**
 * Diff the component screenshot with the design draft, and generate the diff result image.
 * @param designDraftDataURL
 * @param screenshotDataURL
 * @param options
 */
declare const diffImages: (designDraftDataURL: string, screenshotDataURL: string, options?: Options) => Promise<{
    diffResultSrc: string;
    diffPixelCount: number;
}>;
export default diffImages;
