/**
 * @file loadImage.ts
 */
export interface ImageInfo {
    /**
     * The <img/> element which loads the image.
     */
    imageEl: HTMLImageElement;
    /**
     * Image width.
     */
    width: number;
    /**
     * Image height.
     */
    height: number;
    /**
     * Image data URL.
     */
    dataURL: string;
    /**
     * Image data.
     */
    imageData: ImageData;
}
/**
 * Load image and return info.
 * @param path
 */
declare const loadImage: (path: string) => Promise<ImageInfo>;
export default loadImage;
