/**
 * @file renderScreenshot.ts
 */
import type { ReactNode } from 'react';
export interface Options {
    /**
     * Viewport width.
     */
    width?: number;
    /**
     * Viewport height.
     */
    height?: number;
    /**
     * A hook called before component screenshot. You can set global styles, load fonts or do some interaction here.
     */
    beforeScreenshot?: () => Promise<unknown> | unknown;
}
/**
 * Render a React component and return its screenshot.
 * @param component
 * @param options
 */
declare const renderScreenshot: (component: ReactNode, options?: Options) => Promise<{
    path: string;
    base64: string;
} & string>;
export default renderScreenshot;
